## org.apache.mahout.classifier.df.data.conditions
Class Lesser

    java.lang.Object
      org.apache.mahout.classifier.df.data.conditions.Condition
          org.apache.mahout.classifier.df.data.conditions.Lesser

    public class Lesser

extends Condition

True if a given attribute has a value "lesser" than a given value

Constructor Summary
`Lesser(int attr, double value)`

Method Summary
`boolean` `isTrueFor(Instance instance)` Returns true is the checked instance matches the condition

Methods inherited from class org.apache.mahout.classifier.df.data.conditions.Condition
`equals, greaterOrEquals, lesser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lesser

    public Lesser(int attr,
                  double value)

Method Detail

### isTrueFor

    public boolean isTrueFor(Instance instance)

  Description copied from class: `Condition`
  Returns true is the checked instance matches the condition

  Specified by:
    `isTrueFor` in class `Condition`
  Parameters:
    `instance` - checked instance
  Returns:
    true is the checked instance matches the condition

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.